import 'package:flutter/material.dart';
import 'package:witsystem_device_manage/generated/l10n.dart';
import 'package:witsystem_device_manage/pages/widget/HomeListData.dart';

///更多
class MoreOptionsWidget extends StatefulWidget {
  final List<HomeListData> list;

  const MoreOptionsWidget({Key? key, required this.list}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return MoreOptionsState();
  }
}

class MoreOptionsState extends State<MoreOptionsWidget> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(title: Text(S.of(context).device_moreOptions)),
        body: Container(
            margin: const EdgeInsets.fromLTRB(0, 10, 0, 10),
            child: GridView.builder(
                gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
                    crossAxisSpacing: 10,
                    mainAxisSpacing: 10,
                    crossAxisCount: 4,
                    childAspectRatio: 1.2),
                itemCount: widget.list.length,
                itemBuilder: (context, index) {
                  return GestureDetector(
                      onTap: () {
                        if (widget.list[index].widget == null) return;
                        Navigator.of(context).push(MaterialPageRoute(builder: (context) {
                          return widget.list[index].widget!;
                        }));
                      },
                      child: Container(
                        margin: const EdgeInsets.fromLTRB(10, 0, 10, 0),
                        decoration: BoxDecoration(
                          border: Border.all(color: Theme.of(context).primaryColorLight),
                          borderRadius:
                              const BorderRadius.all(Radius.circular(4.0)),
                        ),
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                          children: [
                            Icon(
                              widget.list[index].icon,
                              size: 30,
                              color: Theme.of(context).primaryColorLight,
                            ),
                            Text(
                              widget.list[index].name,
                              style:  TextStyle(
                                  color: Theme.of(context).primaryColorLight, fontSize: 12),
                            )
                          ],
                        ),
                      ));
                })));
  }
}
